// pagesA/activatePayment/activatePayment.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pictureText:{
      IdentityInfo:{
        url:"https://xiaozhisz.cn/image/b555f42a-70de-4264-9e22-462dae0813ff.png",
        text:"拍照身份证人像面"
      },
      IdentityInfoBack:{
        url:"https://xiaozhisz.cn/image/0f3cf844-d33b-4858-9bdc-6260e7b8f5e9.png",
        text:"拍照身份证国徽面"
      },
      BusinessLicense:{
        url:"https://xiaozhisz.cn/image/c92e8ec7-a1cb-40b6-9d12-0bbc820ef479.png",
        text:"拍营业执照"
      },
      RegistrationCertificate:{
        url:"https://xiaozhisz.cn/image/ddb2b7a5-5913-48a4-a3ea-b9e26a567fa6.png",
        text:'上传“登记证书”扫描件'
      },
      UnitCertificationLetter:{
        url:"https://xiaozhisz.cn/image/ddb2b7a5-5913-48a4-a3ea-b9e26a567fa6.png",
        text:'上传开通微信支付单位证明函'
      },
      UnitCertificationLetterOne:{
        url:"https://xiaozhisz.cn/image/ddb2b7a5-5913-48a4-a3ea-b9e26a567fa6.png",
        text:'上传开通支付宝支付法定代表人授权函'
      },
      SpecialQualificationRequirements:{
        url:"https://xiaozhisz.cn/image/335355bc-31e9-47da-97b9-c17d5a57f8f9.png",
        text:''
      }
    },
    show:false,
    fileList:{
      IdentityImg:[],//个人证件人像面
      IdentityImgBack:[],//个人证件国徽面
      IndividualBusiness:[],//收款人证件人像面
      IndividualBusinessBack:[],//收款人证件国徽面
      contacts:[],//联系人证件人像面
      contactsBack:[],//联系人证件国徽面
      LegalPerson:[],//法人证件人像面
      LegalPersonBack:[],//法人证件国徽面
      BusinessLicense:[],//营业执照信息
      RegistrationCertificate:[],//登记证书类型
      UnitCertificationLetter:[],//单位证明函微信
      UnitCertificationLetterOne:[],//支付宝
      SpecialQualificationRequirements:[],//特殊资质
    },
    step:0,
    setIndex:0,
    organizationList:[
      {
        icon:'icon-renyuanguanli',
        text:'个人/个体',
        children: true,
        list:[
          {
            icon:'icon-renyuanguanli',
            text:'个人',
          },
          {
            icon:'icon-renyuanguanli',
            text:'个体工商户',
          }
        ]
      },
      {
        icon:'icon-qiye2',
        text:'企业商户',
        children: false,
      },
      {
        icon:'icon-zhengfu',
        text:'事业/政府',
        children: true,
        list:[
          {
            icon:'icon-renyuanguanli',
            text:'事业单位',
          },
          {
            icon:'icon-renyuanguanli',
            text:'政府机构',
          }
        ]
      },
      {
        icon:'icon-qita',
        text:'其他组织',
        children: false,
      }
    ],
    activeIndex:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  // 温馨提示
  agreeMethods(e){
    console.log(e)
    this.setData({
      show:false
    })
  },
  // 关闭弹窗
  onClose() {
    this.setData({ show: false });
  },
  // 删除图片
  deleteImg(event){
    let fileList = this.data.fileList    
    let fileList_one = []
    fileList[event.currentTarget.dataset.name] = fileList_one
    this.setData({
      fileList
    })
  },
  // 上传图片
  afterRead(event){
    let fileList = this.data.fileList    
    const { file } = event.detail.detail;
    let fileList_one = []
    fileList_one.push(file)
    fileList[event.currentTarget.dataset.name] = fileList_one
    this.setData({
      fileList
    })
  },
  // 下一步
  stepMethods(e){
    if(e.currentTarget.dataset.step == 2){      
      this.setData({
        show:true
      })
    }
    this.setData({
      step:e.currentTarget.dataset.step
    })
  },
  // 二级点击选择
  setPersonIndex(e){
    console.log(e.currentTarget.dataset.personindex)
    this.setData({
      setIndex:e.currentTarget.dataset.personindex
    })
  },
  // 选择下标
  selectActive(e){
    this.setData({
      activeIndex:e.currentTarget.dataset.index,
      setIndex:0
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})